<?php
/**
 * @author Zbynek Hovorka and Alan Štolc [Seznam.cz, a.s.]
 *
 * Plugin Name: Seznam Doporučuje WP
 * description: Doporučení článků od Seznamu bez pomoci programátora. Doporučujte pomocí boxů pod článkem nebo vedle článku. Doporučujte personalizované, textově podobné, nejnovější, diverzifikované, trendové články. Zvyšte Page Views o 10 - 30 % a celkové příjmy z reklamy o ~20 %. To vše díky robustnímu systému, který v ČR používá již 200 webů. 
 * Version: 1.2
 * Author: Seznam.cz, a.s.
 * Author URI: https://partner.sklik.cz
 * License: GPL2
 */


define('SEZNAM_SDOP_PATH', plugin_dir_path(__FILE__));
define('SEZNAM_SDOP_URL', plugin_dir_url(__FILE__));
define('SEZNAM_SDOP_ADMIN_URL', admin_url());
define('SEZNAM_SDOP_SLUG', 'seznam-doporucuje');
define('SEZNAM_SDOP_VERSION', '1.2');
define('SEZNAM_SDOP_CAPABILITY', get_option('sdop-allowed-capability', 'edit_pages'));
define('SEZNAM_SDOP_WIDGET_SLUG_1', 'sdop_widget_1');
define('SEZNAM_SDOP_WIDGET_SLUG_2', 'sdop_widget_2');
define('SEZNAM_SDOP_NWSFD_COOKIE', 'sssp_session');
define('SEZNAM_SDOP_UPDATE_JSON', base64_decode('aHR0cHM6Ly9wYXJ0bmVyLnNlem5hbS5jei93cC1jb250ZW50L3VwbG9hZHMvc2V6bmFtLXVwZGF0ZXIuanNvbg=='));


//Add main class
require_once(SEZNAM_SDOP_PATH . 'includes/sdop_main.php');
add_action('plugins_loaded', ['SDOP_Main', 'get_instance']); //Main Class

//Add RSS class
if (!class_exists('SDOP_RSS')) {
    require_once(SEZNAM_SDOP_PATH . 'includes/sdop_rss.php');
    add_action('plugins_loaded', ['SDOP_RSS', 'get_instance']); //RSS Class
}

//Add admin class
if (!class_exists('SDOP_Admin') && is_admin()) {
    require_once(SEZNAM_SDOP_PATH . 'includes/sdop_admin.php');
    add_action('plugins_loaded', ['SDOP_Admin', 'get_instance']); //RSS Class
}

//Add shortcodes
if (!class_exists('SDOP_Shortcode')) {
    require_once(SEZNAM_SDOP_PATH . 'includes/shortcodes/sdop-shortcode-main.php'); //GP Contest Shortcode
    add_action('plugins_loaded', ['SDOP_Shortcode', 'get_instance']); //Load Contest Shortcode
}

//Check updates
if (is_admin() || defined( 'DOING_CRON' ) && DOING_CRON ) {
    include_once(SEZNAM_SDOP_PATH . 'includes/plugin-updates/class-sdop-plugin-updates.php');
    new SDOP_PluginUpdates();
}


//Global
require_once(SEZNAM_SDOP_PATH . 'includes/widgets/sdop-widget-1.php');
require_once(SEZNAM_SDOP_PATH . 'includes/widgets/sdop-widget-2.php');